Package org.eclipse.emf.compare.rcp.ui.internal.configuration

# Interface IDiffRelationshipComputerChange

All Superinterfaces:
  `ICompareEvent`

All Known Implementing Classes:
  `DiffRelationshipComputerChange`

public interface IDiffRelationshipComputerChange extends ICompareEvent
Event indicating a change in `IDiffRelationshipComputer`.

## Method Summary

Modifier and Type
Method
Description
`IDiffRelationshipComputer`
`getNewValue()`
New value of the `IDiffRelationshipComputer`.
`IDiffRelationshipComputer`
`getOldValue()`
Previous value of the `IDiffRelationshipComputer`.

## Method Details

### getOldValue

IDiffRelationshipComputer getOldValue()
Previous value of the `IDiffRelationshipComputer`.

Returns:
  previous value of the `IDiffRelationshipComputer`.

### getNewValue

IDiffRelationshipComputer getNewValue()
New value of the `IDiffRelationshipComputer`.

Returns:
  new value of the `IDiffRelationshipComputer`.